Loading...
Searching...
No Matches
Options
Applications » NETBIOS responder

## Macros

#define | NETBIOS_LWIP_NAME "NETBIOSLWIPDEV"
#define | LWIP_NETBIOS_RESPOND_NAME_QUERY 0

## Detailed Description

## Macro Definition Documentation

## LWIP_NETBIOS_RESPOND_NAME_QUERY

#define LWIP_NETBIOS_RESPOND_NAME_QUERY 0

Respond to NetBIOS name queries Default is disabled

## NETBIOS_LWIP_NAME

#define NETBIOS_LWIP_NAME "NETBIOSLWIPDEV"

NetBIOS name of lwip device This must be uppercase until NETBIOS_STRCMP() is defined to a string comparison function that is case insensitive. If you want to use the netif's hostname, use this (with LWIP_NETIF_HOSTNAME): (ip_current_netif() != NULL ? ip_current_netif()->hostname != NULL ? ip_current_netif()->hostname : "" : "")

If this is not defined, netbiosns_set_name() can be called at runtime to change the name.